Canvas-guider (Norwegian)Canvas-guiderGrunnleggende Guiden Generell informasjonHva er nettleser- og datamaskinkravene for Instructure-produkter?

Hva er nettleser- og datamaskinkravene for Instructure-produkter?

For best mulig ytelse må Instructure-produkter brukes på den nåværende eller forrige store utgaven av Chrome, Firefox, Edge eller Safari. Instructure-produkter er bygget ved bruk av webstandarder og kjører dermed på Windows, Mac, Linux, iOS, Android eller andre enheter med en moderne nettleser.

Instructure-produkter krever kun et operativsystem som kan kjøre de siste kompatible nettleserne. Operativsystemet til datamaskinen din må holdes oppdatert med de siste anbefalte sikkerhetsoppdateringene og oppgraderingene.

Merknad: Canvas-brukere som bruker forenklede URL-er kan støte på SSL-valideringsfeil hvis nettleseren deres eller andre verktøy som samhandler med Canvas ikke er kompatible med Server Name Indication (SNI). Alle nettleserne som er oppført i denne veiledningen er SNI-kompatible.

Støttede nettlesere

Instructure-produkter støtter den nåværende og den siste tidligere store versjonen av disse nettleserne:

  • Chrome 101 og 102
  • Firefox 100 og 101 (utvidede utgaver støttes ikke*)
  • Edge 101 og 102
  • Respondus Lockdown nettleser (støtter de nyeste systemkravene)
  • Safari14 og 15 (bare Macintosh)

Du kan bekrefte at nettleseren du bruker for øyeblikket er oppdatert ved å bruke nettlesersjekkeren i trinnet nedenfor.

Du bør alltid bruke den nyeste versjonen av din foretrukne nettleser. Nettleseren din vil varsle deg hvis det er en ny versjon tilgjengelig.

Merknad: Safari 13.1 og nyere versjoner inneholder en oppdatering som kan forårsake problemer med nedlasting av filer, visning av bilder og chat-varsler i Canvas. Canvas-ingeniører jobber for øyeblikket med en løsning på dette problemet. Frem til det, kan du unngå feil med filer, bilder og varsler ved å deaktivere sporingsforebygging på tvers av nettsteder i Safari når du bruker Canvas. Hvis deaktivering av sporing på tvers av nettsteder ikke løser disse problemene, kan du prøve en av de andre støttede nettleserne.

Nettleserfane som ikke støttes i Canvas

Noen støttede nettlesere kan fortsatt produsere et banner om nettleseren din ikke oppfyller minimumskravene for Canvas. Hvis du har oppgradert nettleseren din, men fremdeles ser advarselbanneret, kan du prøve å logge ut av Canvas og slette informasjonskapslene dine.

Enterprise-nettlesere med utvidede utgaver i Canvas

Chrome og Firefox tilbyr utvidede utgaver for organisasjoner som behandler klientskrivebord. Chrome ESR kan holdes oppdatert med eksisterende fullversjon av Chrome, når som helst. Men Firefox ESR oppdateres bare hver syvende hovedversjon, som fører til at Firefox ESR overlapper med utdaterte versjoner. Firefox ESR nettside merker at ESR ikke støttes for hver nettapplikasjon på grunn av denne forsinkelsen i versjonutgivelsene. Institusjoner som bruker Firefox ESR bør vurdere å ta i bruk den siste utgivelsen for å sørge for den beste Canvas-brukeropplevelsen.

* For utvidede nettleserversjoner, gjelder fortsatt advarselsfanen og vises i Canvas for alle nettleserer under minimums-versjonskravet.

Kjente nettleseratferder

Som alle Instructure-produktfunksjoner prioriteres motstridende atferd knyttet til nettlesere av våre produktteam, og noen atferder i tidligere versjoner er muligens ikke rettet opp. Om en atferd finnes i den forrige versjonene og nettleseren som ikke eksisterer i nåværende versjon, er den beste løsningen å oppdatere til siste versjon av nettleseren.

Tilgjengelighet

Instructure er forpliktet til W3C internett-tilganginitiativ. Hvis du vil lære om støttede kombinasjoner av skjermlesere og nettlesere, kan du se dokumentene om Canvas’ tilgjengelighetsstandarder, for tilgjengelighet i Studio og, Mastery Connect-tilgjengelighetsinnstillinger.

JavaScript

JavaScript må være aktivert for å kjøre Canvas.

Pluginmoduler for nettleser og utvidelser

Noen pluginmoduler for nettleser eller utvidelser kan komme i konflikt med Instructure-produkter og påvirke funksjonaliteten. Hvis du opplever atferd som ikke lar deg vise eller delta i Instructure-produkter, kontroller at du har deaktivert alle utvidelser eller pluginmoduler som samhandler direkte med nettleseren.

For feilsøking kan du vurdere å logge inn i Instructure-produkter med et inkognito, som gir en nettleserøkt uten noen tidligere leselogg eller søkehistorikk tilknyttet informasjonskapsler eller andre faktorer som kan forstyrre nettleseren. Hvis du er i stand til å vise eller delta i et Instructure-produkt med et inkognito eller privat nettleservindu er problemet du opplever sannsynligvis knyttet til nettleseren og ikke til Instructure-produktet.

Personverninnstillinger for Nettleser

For å sørge for nettleserens sikkerhet, følg alle sikkerhetsretningslinjer for nettlesere etablert av institusjonen din, spesielt hvis du bruker Instructure-produkter på en datamaskin anskaffet av institusjonen selv.

Når du viser innhold vil Instructure-produkter bruke standardinnstillinger satt av en bestemt nettleser. Noen nettlesere kan noen ganger endre personverninnstillinger for å beskytte brukere mot mulig usikkert innhold. Usikkert innhold identifiseres med prefikset http:// i URL-en og kan medføre blandet innhold på produktsiden din. Sikret innhold identifiseres med prefikset https:// i URL-en nettadressen. For en best mulig brukeropplevelse bør innhold være sikret for å unngå nettleser-konflikter.

  • Hvis du er en Canvas-administrator, kan usikkert innhold forårsakes av å drifte en usikker JS/CSS-fil utenfor Canvas. Hvis egne opplastinger støttes for kontoen din, kan du drifte filene dine i redigeringsverktøyet for tema, som vil løse alle nettleserkonflikter.
  • Hvis du er en Canvas-instruktør som legger til Canvas-leksjoner i emnet kan du forhindre nettleserproblemer med blandet innhold ved bruk av sikret Canvas Guides URL-er. 

Kjente nettleseratferder

Chrome, Edge, Firefox og Safari bruker HTML5 til å vise nettsideinnhold, og fremmer en raskere, mer sikker nettopplevelse. For best ytelser i Instructure-produkter, bør emneinnhold designes til å støtte HTML5.

I nettlesere som Safari vises usikkert innhold aldri i nettleseren.

Men i Chrome og Firefox har du muligheten til å vise usikkert innhold. Vær oppmerksom på mulige restriksjoner og vær varsom ved visning av usikkert innhold.

Chrome Sikkerhet

Chrome Sikkerhet

Google Chrome bekrefter at nettsted-innholdet du viser overføres sikkert. Hvis du besøker en side i Instructure-produktet ditt som er knyttet til usikkert innhold viser Chrome et skjoldikon (shield icon)[1] i nettleser-adresselinjen.

Du kan overstyre sikkerhetsbegrensningen og vise innholdet uansett ved å klikke på skjold-ikonet og deretter på tasten Last usikre skript (Load unsafe script) [2].

Mediatillatelser for Chrome

Mediatillatelser for Chrome

Chrome har sin egen mediatillatelse i nettleseren. For å bruke datakameraet og -mikrofonen i noen av Instructure-produktene, må du tillate tilgang til Instructure-produkter via Chromes innstilling for medietillatelser. Denne meldingen vises rett under adressefeltet [1]. For å tillate tilgang, klikk på tasten Tillat (Allow) [2].

Firefox-sikkerhet

Firefox-sikkerhet

Firefox bekrefter at nettstedinnholdet du viser overføres sikkert. Hvis du besøker en side i Instructure-produktet ditt som er knyttet til usikkert innhold viser Firefox en hengelås med et advarselsikon i nettleserens adressefelt (Browser address bar)[1].

Du kan velge å overstyre sikkerhetsbegrensningen og vise innholdet uansett ved å klikke låsen med advarselsikonet, klikke pilen for å utvide alternativer (expand your options) [2] og velge Deaktiver beskyttelse for nå (Disable protection for now)-tasten [3].

Dataspesifikasjoner

Gå til Instructure-produkter med en datamaskin som støtter de nyeste nettleserversjonene, for best ytelse. Det anbefales å bruke en maskin som er maks. fem år gammel med minst 1 GB RAM.

Operativsystem

Instructure-produkter krever et operativsystem som kan kjøre de siste kompatible nettleserne. Operativsystemet til datamaskinen din må holdes oppdatert med de siste anbefalte sikkerhetsoppdateringene og oppgraderingene.

Internetthastighet

Sammen med kompatibilitet og web-standarder har Instructure-produkter blitt nøye utformet for å imøtekomme miljøer med lav båndbredde.

Det anbefales å ha en internetthastighet på minst 512 kbps.

Mobile enheter

Instructure produkter er optimalisert for skrivebordsskjermer. Hvis du bruker en mobilenhet, kan du likevel få tilgang til Instructure-produkter ved hjelp av en mobilapplikasjon (app) eller mobilnettleser. 

Mobil-apper

Last ned produkt-mobilapplikasjonene for å få den beste brukeropplevelsen. Mobilapper er for øyeblikket tilgjengelige for Canvas og Mastery Connect.

Canvas’ mobilapplikasjoner krever Android 8.0 eller nyere og iOS 13.0 eller nyere. Canvas tilbyr begrenset støtte for innkommende mobilnettlesere på nettbrett. Vil du ha mer informasjon, se retningslinjene for begrenset støtte for mobilnettleser.

Mastery Connects mobilapplikasjoner krever Android 6.0 eller nyere og iOS 13.0 eller nyere. Vil du ha mer informasjon, se Mastery Connect-kravene.

Mobile nettlesere

Besøk Apple store eller Play store for å laste ned mobile nettlesere. Følgende nettlesere er kompatible med mobile enheter:

iOS

  • Safari (standard nettleser med begrenset støtte for Canvas)
  • Chrome

Android

  • Chrome (standard nettleser med begrenset støtte for Canvas)*
  • Internet Explorer
  • Firefox

*Android standardnettleser varierer mellom mobilenheter.